<template>
  <v-ons-page>
    <v-ons-toolbar modifier="transparent"></v-ons-toolbar>
    <div class="header">
      <img src="@/assets/images/logo.svg" />
      <div>
        <div class="profilePicture"></div>
        <div class="name">
          <!-- {{name}} -->
        </div>
      </div>
    </div>

    <v-ons-list-title>Akun</v-ons-list-title>
    <v-ons-list>
      <v-ons-list-item modifier="chevron">
        <!-- <div class="left"><v-ons-icon fixed-width :icon="item.icon"></v-ons-icon></div> -->
        <div class="center">Profile</div>
      </v-ons-list-item>
      <v-ons-list-item modifier="chevron">
        <!-- <div class="left"><v-ons-icon fixed-width :icon="item.icon"></v-ons-icon></div> -->
        <div @click="logout()" class="center">Logout</div>
      </v-ons-list-item>
    </v-ons-list>
  </v-ons-page>
</template>

<script>
import { auth } from "@/firebase";
import LoadScreen from "@/components/LoadScreen";

export default {
  name: "MenuPage",
  data() {
    return {};
  },
  methods: {
    logout() {
      auth.signOut();
      this.$store.state.splitter.state = false;
      this.$store.commit("navigator/specialPop", LoadScreen);
    },
    getName() {},
    goTo(url) {
      window.open(url, "_blank");
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
img {
  max-width: 200px;
}

ons-list-title {
  text-transform: none;
}

ons-list-item {
  cursor: pointer;
}
</style>
